Subject: bug#63288: 30.0.50; Emacs 30 packages fail to build with native comp on some machines

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Jan 2025 11:03:27 +0200

> Cc: [email-masked]
> From: Andrea Corallo <[email-masked]>
> Date: Wed, 15 Jan 2025 15:14:57 -0500
> 
> [email-masked] writes:
> 
> > Hello,
> >
> > I'm currently reproducing this bug, is there anyway I can help? I can confirm that calling `package-read-from-string'
> > fails when starting emacs. After manually evaluating the defun again, it works okay.
> 
> Could you provide a recipe to reproduce the bug starting from a 'emacs
> -Q'?

Ping!  Damien, could you please provide us with such a recipe?